Page MenuHomePhabricator

Transparent images should be rendered on light background even in night mode
Closed, ResolvedPublic2 Story Points

Description

  1. Tap the search bar.
  2. Type "national assembly of pakis".
  3. Observe that transparent images do not look very good. It's far worse in the read more section for black line art in night mode but I do not remember a good example.

Event Timeline

Niedzielski raised the priority of this task from to Needs Triage.
Niedzielski updated the task description. (Show Details)
Dbrant triaged this task as Normal priority.Jul 1 2015, 2:32 PM
Dbrant added a project: good first bug.
Dbrant moved this task from Needs Triage to Bug Backlog on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
MBinder_WMF set Security to None.Jul 31 2015, 5:39 PM
MBinder_WMF edited a custom field.
Mholloway moved this task from To Do to Doing on the Mobile-App-Sprint-63-Android-Europium board.

Change 230644 had a related patch set uploaded (by Mholloway):
Add page image background color to item_page_list_entry.xml for night mode

https://gerrit.wikimedia.org/r/230644

Screenshot of proposed fix:


This background color will be easy to fiddle with if you think it's too dark.

Change 230644 merged by jenkins-bot:
Add page image background color to item_page_list_entry.xml for night mode

https://gerrit.wikimedia.org/r/230644

Can we try #555 or #333?
#555 might be darker than the color on the right, but I think thats ok.

This current color looks pretty muddy.

@Vibhabamba I've come to a pretty strong belief that transparent images should always have a white background (not even off-white), because things like mathematical and engineering diagrams are always meant to be viewed against a white background. These diagrams often have grayish components that will be drowned out by any other background than white. I think these images are small enough that they won't blind the user with their whiteness, while displaying the image the way it was intended. What do you think?

Agree, actually considered that option myself. But you make a good point about the size being small enough that they could be white.

Can we try that? the dark background is a dark grey so it likely won't vibrate against the white.

@Vibhabamba The patch that was merged actually has the white background (as in @Dbrant's screenshot) -- my screenshot is out of date.

Checked with 2.0.108-alpha-2015-08-21 on Nexus 5 (Android 5.1.1)
Samsung Tablet Ce0168(Android 4.0.4)

Some sample pics:



Dbrant closed this task as Resolved.Sep 2 2015, 4:38 PM